Vertical Insure
Docsign

Get or Create Doc Sign

Creates a new document signature submission, or gets one if it already exists for this quote

POST
/v1/docsign

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Request Body

application/json

email*string
Formatemail
Length1 <= length
insured_name*string
Length1 <= length
quote_id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.verticalinsure.com/v1/docsign" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "insured_name": "string",    "quote_id": "string"  }'
{
  "slug": "string",
  "submission_id": "string",
  "status": "string"
}
{
  "error": "string",
  "error_code": "string",
  "message": "string",
  "reason": "string",
  "status": 0
}
{
  "error": "string",
  "error_code": "string",
  "message": "string",
  "reason": "string",
  "status": 0
}
{
  "error": "string",
  "error_code": "string",
  "message": "string",
  "reason": "string",
  "status": 0
}